# Awesome Homematic

> A curated list of Homematic related links

[Homematic](http://www.homematic.com/) is a series of Smart Home devices from the german manufacturer [eQ-3](http://www.eq-3.de). 


## Table of Contents

- [Community Resources](#community-resources)
- [Mobile Apps](#mobile-apps)
- [CCU Alternatives](#ccu-alternatives)
- [CCU Addons](#ccu-addons)
- [Interfacing Software](#interfacing-software)
- [Misc Software](#misc-software)
- [Software Modules](#software-modules)
- [Generic Smart Home Software](#generic-smart-home-software)
- [License](License)


## Community ressources 

* [Homematic Forum](https://www.homematic-forum.de) - Discussion Forums.
* [Homematic Inside](http://www.homematic-inside.de) - News, Blog and more.
* [Wikimatic](http://www.wikimatic.de) - Community Wiki.


## Mobile Apps

* [Home-24](http://www.home-24.net/index.php?page=sites/home.php&app=home24) - **$** Android 
* [Homedroid](http://www.homedroid.de/) - **$** Android
* [homeNOW](http://homenow.at) - **$** Android
* [Orbylon](http://www.orbylon.de/orbylon) - **$** iOS, Android, Windows Phone
* [Pocket Control](https://www.penzler.de) - **$** iOS


## CCU Alternatives

* [Homegear](http://www.homegear.eu/) - Homegear is a free and open source program to interface your smart home devices with your home automation software or your own scripts.
* [RaspberryMatic](https://github.com/jens-maus/RaspberryMatic) - A lightweight, Linux/buildroot-based distribution for running a HomeMatic CCU on embedded devices like the RaspberryPi.
* [YAHM](https://github.com/leonsio/YAHM) - Setup Scripts to run the CCU software in a LXC Container.


## CCU Addons

* [CUxD](https://www.homematic-inside.de/software/cuxdaemon) - FS20, ... (**$** EnOcean, ...)
* [CUxD-Highcharts](https://github.com/hobbyquaker/cuxd-highcharts) - Visualize CUxD Logs with Highcharts.
* [Email](https://github.com/jens-maus/hm_email) - A HomeMatic CCU Addon for sending Emails.
* [Homeputer](https://www.contronics.de/shop/Zentralen-und-Software/homeputer-CL-Studio-4-0-Software.html) - **$**
* [XML-API](https://github.com/hobbyquaker/xml-api) - Simplified CCU Access via HTTP/XML.
* [HQ-WebUI](https://github.com/hobbyquaker/hq-webui) - Fast alternative WebUI for the Homematic CCU.
* [hm-print](https://github.com/litti/hm-print) - Print CCU Programs.
* [WebMatic](http://webmatic.lmdsoft.de/tiki-index.php) - WebUI for the Homematic CCU.


## Interfacing Software

* [homebridge-homematic](https://github.com/thkl/homebridge-homematic) - Supports the Homematic System on [HomeBridge](https://github.com/nfarina/homebridge) Platform.
* [Homematic-Virtual-Interface](https://github.com/thkl/Homematic-Virtual-Interface) - A virtual Interface for Homematic CCU with plugins to connect other devices to your CCU.
* [hm2mqtt.js](https://github.com/hobbyquaker/hm2mqtt.js) - Interface between Homematic and MQTT.
* [hmcompanion](https://github.com/owagner/hmcompanion)
* [node-red-contrib-homematic](https://github.com/firsttris/node-red-contrib-homematic) - Integrate your Homematic devices with [Node-RED](https://nodered.org).


## Misc Software

* [HMXMLBIN](https://github.com/leonsio/HMXMLBIN) - BIN-RPC Converter für den Einsatz für CUXD/Homematic.
* [CCU Historian](http://www.ccu-historian.de/) - 
* [homematic-manager](https://github.com/hobbyquaker/homematic-manager)


## Software Modules

* [binrpc](https://github.com/hobbyquaker/binrpc)
* [homematic-xmlrpc](https://github.com/hobbyquaker/homematic-xmlrpc)
* [pmatic](https://github.com/LarsMichelsen/pmatic) - Python API for Homematic. Easy to use.


## Generic Smart Home Software

* [ioBroker](http://www.iobroker.net)
* [IP-Symcon](https://www.symcon.de/) - **$**
* [Mediola](http://www.mediola.com/) - **$**
* [OpenHAB](https://www.openhab.org/)


## Contribute

Contributions welcome! Read the [contribution guidelines](contributing.md) first.


## License

[![CC0](http://i.creativecommons.org/p/zero/1.0/88x31.png)](http://creativecommons.org/publicdomain/zero/1.0/)
